Uploaded image for project: 'HPCC'
  1. HPCC
  2. HPCC-19304

zcrypt build error on Ubuntu 18.04

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Not specified
    • Resolution: Fixed
    • Affects Version/s: 6.4.14
    • Fix Version/s: 6.4.14
    • Component/s: JLib
    • Labels:
      None
    • Environment:
      Ubuntu 18.04 daily build

      Description

      HPCC-Platform/system/security/securesocket/securesocket.cpp:1655:5: error: ‘CRYPTO_mem_leaks’ was not declared in this scope
      CRYPTO_mem_leaks(bio_err);

      Seems to be because the openssl_dev was configured with memory debugging disabled. That's probably a bug in whoever created it for Ubuntu 18.04 but we should probably check the macro before calling the function.

        Attachments

          Activity

            People

            • Assignee:
              richardkchapman Richard Chapman
              Reporter:
              richardkchapman Richard Chapman
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: